var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { Box } from '@workday/canvas-kit-react/layout';
var baseStyles = {
    color: 'blackPepper500',
    margin: 'xxs',
    height: 'xl',
    width: '8rem',
    padding: 'xs',
};
export var PositionExample = function () {
    return (React.createElement(React.Fragment, null,
        React.createElement(Box, __assign({ backgroundColor: "cinnamon300", left: 0, position: "absolute", top: "calc(50% - 20px)", zIndex: 1, textAlign: "center" }, baseStyles), "Left"),
        React.createElement(Box, __assign({ backgroundColor: "sourLemon300", left: "calc(50% - 4rem)", position: "absolute", top: "calc(50% - 20px)", zIndex: 2, textAlign: "center" }, baseStyles), "Center"),
        React.createElement(Box, __assign({ backgroundColor: "blueberry300", position: "absolute", right: 0, top: "calc(50% - 20px)", zIndex: 3, textAlign: "center" }, baseStyles), "Right")));
};
